Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC

Bug 450004

Summary: gnome-extra/libgda-5.1.1-r1: Couldn't find suitable VM
Product: Gentoo Linux Reporter: Juergen Rose <rose>
Component: [OLD] GNOMEAssignee: Gentoo Linux Gnome Desktop Team <gnome>
Status: RESOLVED FIXED    
Severity: normal CC: java
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: /var/tmp/portage/gnome-extra/libgda-5.1.1-r1/temp/build.log
/var/tmp/portage/gnome-extra/libgda-5.1.1-r1/temp/die.env
libgda-5.1.1-r1.ebuild with java-pkg-opt-2_src_prepare moved to the top of src_prepare

Description Juergen Rose 2013-01-03 15:00:55 UTC
Created attachment 334194 [details]
/var/tmp/portage/gnome-extra/libgda-5.1.1-r1/temp/build.log

'emerge libgda' fails with:

>>> Emerging (1 of 2) gnome-extra/libgda-5.1.1-r1
 * libgda-5.1.1.tar.xz SHA256 SHA512 WHIRLPOOL size ;-) ...                                                                    [ ok ]
!!! ERROR: Couldn't find suitable VM. Possible invalid dependency string.
           Due to stax-api requiring a target of 1.7 but the virtual machines constrained by virtual/jdk-1.6 
 * Unable to determine VM for building from dependencies:
NV_DEPEND: 
        app-text/iso-codes
        >=dev-libs/glib-2.32:2
        >=dev-libs/libxml2-2
        dev-libs/libxslt
        sys-libs/readline:=
        sys-libs/ncurses:=
        berkdb?   ( sys-libs/db )
        !bindist? ( firebird? ( dev-db/firebird ) )
        gtk? (
                >=x11-libs/gtk+-3.0.0:3
                canvas? ( x11-libs/goocanvas:2.0= )
                sourceview? ( x11-libs/gtksourceview:3.0 )
                graphviz? ( media-gfx/graphviz )
        )
        gnome-keyring? ( app-crypt/libsecret )
        http? ( >=net-libs/libsoup-2.24:2.4 )
        introspection? ( >=dev-libs/gobject-introspection-1.30 )
        json?     ( dev-libs/json-glib )
        ldap?     ( net-nds/openldap:= )
        mdb?      ( >app-office/mdbtools-0.5:= )
        mysql?    ( virtual/mysql:= )
        postgres? ( dev-db/postgresql-base:= )
        reports? (
                dev-python/python-exec[python_targets_python2_6?,python_targets_python2_7?,python_single_target_python2_6(+)?,python_single_target_python2_7(+)?] python_single_target_python2_6? ( dev-lang/python:2.6 ) python_single_target_python2_7? ( dev-lang/python:2.7 )
                dev-java/fop
                dev-python/reportlab )
        ssl?      ( dev-libs/openssl:= )
        >=dev-db/sqlite-3.6.22:3=

        >=app-text/gnome-doc-utils-0.9
        dev-util/gtk-doc-am
        >=dev-util/intltool-0.40.6
        virtual/pkgconfig
        java? ( virtual/jdk:1.6 ) || ( >=sys-devel/automake-1.11.1:1.11 >=sys-devel/automake-1.12:1.12  ) >=sys-devel/autoconf-2.68 sys-devel/libtool  app-arch/xz-utils >=sys-apps/sed-4 java? ( >=dev-java/java-config-2.1.9-r1  )
 * ERROR: gnome-extra/libgda-5.1.1-r1 failed (setup phase):
 *   Failed to determine VM for building.
...
!!! When you file a bug report, please include the following information:
GENTOO_VM=  CLASSPATH="" JAVA_HOME=""
JAVACFLAGS="" COMPILER=""


IcedTea-7.2.3.3  should be the default VM:

root@cheetahnew:/root(21)# java-config -L
The following VMs are available for generation-2:
1)      IcedTea JDK 6.1.11.5 [icedtea-6]
*)      IcedTea JDK 7.2.3.3 [icedtea-7]

root@cheetahnew:/root(22)# qlist -Iv icedtea
dev-java/icedtea-6.1.11.5
dev-java/icedtea-7.2.3.3
dev-java/icedtea-web-1.3.1
dev-java/icedtea-web-1.3.1-r7

root@cheetahnew:/root(23)# qlist -Iv jdk
virtual/jdk-1.6.0-r1
virtual/jdk-1.7.0


root@cheetahnew:/root(24)# emerge --info
Portage 2.1.11.38 (default/linux/amd64/10.0, gcc-4.6.3, glibc-2.16.0, 3.7.1-gentoo x86_64)
=================================================================
System uname: Linux-3.7.1-gentoo-x86_64-Intel-R-_Core-TM-_i3-2120_CPU_@_3.30GHz-with-gentoo-2.2
Timestamp of tree: Thu, 03 Jan 2013 03:00:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
app-shells/bash:          4.2_p39-r1
dev-java/java-config:     2.1.12-r1
dev-lang/python:          2.7.3-r3, 3.2.3-r2
dev-util/cmake:           2.8.10.2-r1
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.6, 1.12.6
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.6.3
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.7 (virtual/os-headers)
sys-libs/glibc:           2.16.0
Repositories: gentoo science sunrise lisp x-portage x-cpan x-g-octave
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA PUEL Intel-SDP dlj-1.1 skype-eula skype-4.0.0.7-copyright googleearth AdobeFlash-10.3 cadsoft Oracle-BCLA-JavaSE MakeMKV-EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/polkit-1/actions /var/lib/hsqldb"
CONFIG_PROTECT_MASK="${EPREFIX}/etc/gconf /etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/science /var/lib/layman/sunrise /var/lib/layman/lisp /usr/local/portage /var/lib/cpan /var/lib/g-octave"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="64bit R X Xaw3d a52 aac acl acpi admin afs alsa amd64 ao apache2 apng applet archive arpack asf aspell assistant atlas audacious audiofile automap automount bash-completion berkdb blas blast bluetooth bluray boo boost bzip2 cairo cdda cddb cdf cdio cdparanoia cdr cgi chm cli consolekit cracklib crypt css cups curl cxx daap db dbi dbm dbus declarative designer devhelp device-mapper dga dia dirac djvu doc dot dri ds2490 ds9097 ds9097u dts dv dvb dvd dvdr dvi dynamicplugin eds egl elf emacs emboss emf encode epiphany evo examples exif expat extensions extra extras faac faad ffmpeg fftw firefox fits flac fltk fontconfig foomaticdb fortran fortran95 fpm fpx fts3 fuse g3dvl gcj gd gdal gdbm gdu gedit geoip geolocation geos gfortran gif gimp git glade glib glpk gml gmp gnome gnome-keyring gnome-print gnuplot gnutls gold gphoto2 gpm grammar graphics graphtft graphviz grass gsl gstreamer gtk gtk3 gudev guile harness hddtemp hdf hdf5 hdri html http httpd hvm hwdb iconv icq icu id3 id3tag ide imagemagick imap inotify introspection ipod ipv6 ithreads jabber jadetex java java6 jbig john jpeg jpeg2k kate kdepim kdrive kerberos keymap kpathsea kqemu kvm ladspa lame lapack latex lcms ldap lensfun libffi libkms libnotify libsamplerate live lm_sensors lua lzo mad mail maildir mapnik math matroska media-library mercurial mikmod mmx mmxext mng mod modules mono motif mozilla mp3 mp4 mpeg mpi mplayer mtp mudflap multilib musepack musicbrainz mysql mysqli nautilus ncurses netcdf netpbm network networking nfs nls nntp nptl nsplugin ntfs ntp numpy obex objc ocaml ocr octave odbc ofa ogdi ogg openexr opengl openmp overview pam pcre pda pdf perl plasma plotutils plugins png podcast policykit portaudio posix postgres postscript ppds pppd preview-latex proj projectm projectx pstricks pulseaudio python python-bindings q32 qemu qhull qt3support qt4 quicktime raw readline reiserfs reports rhythmbox rle romio rpc rrdcgi rrdtool sage samba sasl schroedinger science sdk sdl secure-delete semantic-desktop server session shout sip slang slp smart smbclient smp sms sndfile snmp soap sockets sound soup sox speex spell sql sqlite sse sse2 sse4_1 ssl ssse3 stlport subtitles subversion sudo suexec svg svm swig szip t1lib tcl tcpd tex tex4ht texmacs tgif theora thesaurus threads thunderbird tidy tiff tk tools truetype udev udisks unicode usb userlocales utempter v4l vaapi vala vdpau video virtualbox visio vorbis vpx wav webdav webdav-serf webkit wmf wxwidgets x264 xa xattr xcb xemacs xetex xext xft xine xml xmlreader xmlrpc xpm xv xvid xvmc yaml youtube zlib zvbi" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_core authn_dbm authn_default authn_file authz_core authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgid dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info lbmethod_byrequests log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif slotmem_shm so socache_shmcb speling status unique_id unixd userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="canon fuji ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CURL_SSL="nss" DRACUT_MODULES="caps lvm mdraid syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de fr ru" NETBEANS_MODULES="apisupport cnd dlight enterprise ergonomics groovy gsf harness ide identity j2ee java mobility nb php profiler ruby websvccommon xml" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" QEMU_SOFTMMU_TARGETS="arm i386 x86_64" QEMU_USER_TARGETS="arm i386 x86_64" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Juergen Rose 2013-01-03 15:01:38 UTC
Created attachment 334196 [details]
/var/tmp/portage/gnome-extra/libgda-5.1.1-r1/temp/die.env
Comment 2 Juergen Rose 2013-01-03 16:24:49 UTC
Even after reemerging icedtea-7.2.3.3 and regeneration of environment the issue persists.
Comment 3 Juergen Rose 2013-01-07 15:32:00 UTC
At "cheetahnew", where 'emerge libgda' fails, icedtea-7.2.3.3 is from the normal portage tree:
root@cheetahnew:/root(34)# emerge -pvD icedtea

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] dev-java/icedtea-7.2.3.3:7  USE="X alsa cups doc examples jbootstrap nsplugin nss pulseaudio source webstart -cjk -debug -javascript -pax_kernel -systemtap {-test}" 0 kB

On an other system ("leopard") where 'emerge libgda' works, icedtea-7.2.3.3 is from the java overlay:

root@leopard:/root(11)# emerge -pvD icedtea

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] dev-java/icedtea-7.2.3.3:7::java-overlay  USE="X alsa cups doc examples jbootstrap nsplugin nss pulseaudio source webstart -cjk -debug -javascript -pax_kernel -systemtap {-test}" 0 kB



Could this be the reason for the error?
Comment 4 Juergen Rose 2013-01-07 17:30:55 UTC
(In reply to comment #3)
> At "cheetahnew", where 'emerge libgda' fails, icedtea-7.2.3.3 is from the
> normal portage tree:
...
> On an other system ("leopard") where 'emerge libgda' works, icedtea-7.2.3.3
> is from the java overlay:
...
> Could this be the reason for the error?

No, this is not the reason, after installing icedtea-7.2.3.3 from the java-overlay 'emerge libgda' fails on "cheetahnew" with the same error.
Comment 5 Pacho Ramos gentoo-dev 2013-01-17 16:03:36 UTC
Does moving "java-pkg-opt-2_src_prepare" at the top of src_prepare work?
Comment 6 Juergen Rose 2013-01-17 17:37:48 UTC
Created attachment 335934 [details]
libgda-5.1.1-r1.ebuild with java-pkg-opt-2_src_prepare moved to the top of src_prepare
Comment 7 Juergen Rose 2013-01-17 17:39:57 UTC
(In reply to comment #6)
> Created attachment 335934 [details]
> libgda-5.1.1-r1.ebuild with java-pkg-opt-2_src_prepare moved to the top of
> src_prepare

I moved java-pkg-opt-2_src_prepare to the top of src_prepare, see the attached ebuild. But 'emerge libgda' fails with the same error:

>>> Emerging (1 of 2) gnome-extra/libgda-5.1.1-r1 from x-portage
 * libgda-5.1.1.tar.xz SHA256 SHA512 WHIRLPOOL size ;-) ...                                                                        [ ok ]
!!! ERROR: Couldn't find suitable VM. Possible invalid dependency string.
           Due to stax-api requiring a target of 1.7 but the virtual machines constrained by virtual/jdk-1.6 
 * Unable to determine VM for building from dependencies:
Comment 8 Juergen Rose 2013-01-29 11:00:07 UTC
I still have the same issue. Any news?
Comment 9 Alexandre Rostovtsev (RETIRED) gentoo-dev 2013-01-29 13:25:25 UTC
(In reply to comment #8)
> Any news?

No. But you can emerge with USE=-java as a temporary workaround
Comment 10 Juergen Rose 2013-01-29 14:56:41 UTC
Thanks Alexandre

USE=-java works.
Comment 11 Juergen Rose 2013-02-11 14:07:26 UTC
But it still does not work with the java USE flag :-(
Comment 12 Pacho Ramos gentoo-dev 2014-02-09 13:02:15 UTC
Is this a problem when both jdk slots are present? Will CC java team to get help :/
Comment 13 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2014-02-09 13:31:57 UTC
The VM is determined using the dependency version, not using its slot; therefore do something like >=virtual/jdk-1.6 (check if 1.7 works; otherwise set a blocker !>=virtual/jdk-1.7 or check out if =virtual/jdk-1.6* works, haven't tried that last syntax myself yet).

On a side note, I don't see a jre listed; if it needs Java at run-time then make sure to add that, I'm in doubt whether it would build Java code and not use it. Unless these are bindings or something of that nature...
Comment 14 Pacho Ramos gentoo-dev 2015-06-20 09:59:34 UTC
+*libgda-5.2.4 (20 Jun 2015)
+
+  20 Jun 2015; Pacho Ramos <pacho@gentoo.org>
+  +files/libgda-5.2.4-format-security.patch, +files/libgda-5.2.4-jre18.patch,
+  +libgda-5.2.4.ebuild:
+  Version bump, fix java detection (#450004 by Juergen Rose and Tom Wijsman
+  (TomWij)), enable vala (#507022 by Markus Moll), fix compilation with format-
+  security (#517610 by Agostino Sarubbo)
+